/*
 * Copyright (C) 2020 Tycho Softworks.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "sessions.hpp"

namespace server {
struct extend : public Session {
    auto scr_notify() noexcept -> bool;
};
} // end namespace

namespace server::checks {
auto chk_notify(const script::context_t& ctx) -> const char *;
} // end namespace

namespace pbx {
auto is_extension(const std::string& ext) -> bool;
} // end namespace
